@import '~@angular/material/theming';

html,
body,
app-root {
	width: 100%;
	height: 100%;
	margin: 0;
}

body {
	margin: 0;
	font-family: Roboto, 'Helvetica Neue', sans-serif;

	--space: 16px;

	@media (max-width: 719px) {
		--space: 8px;
	}

	@include mat-core();

	$app-primary: mat-palette($mat-green);
	$app-accent: mat-palette($mat-cyan, A200, A100, A400);

	$app-light: mat-light-theme(
		(
			color: (
				primary: $app-primary,
				accent: $app-accent,
			),
		)
	);
	$app-dark: mat-dark-theme(
		(
			color: (
				primary: $app-primary,
				accent: $app-accent,
			),
		)
	);

	@include angular-material-theme($app-light);

	@media (prefers-color-scheme: dark) {
		&:not(.light-theme) {
			// @include angular-material-theme($app-dark);
		}
	}

	.dark-theme {
		// @include angular-material-theme($app-dark);
	}
}

html,
body {
	height: 100%;
}
body {
	margin: 0;
	font-family: Roboto, 'Helvetica Neue', sans-serif;
}

.fab {
	position: fixed !important;
	right: 20px;
	bottom: 20px;
}
